#!/usr/bin/python


n = 100  # number of orders
L = 200  # length of (raw) rolls

#demands
d = [ 13, 10, 10, 16, 15, 19, 12, 15, 17, 12, 11, 19, 8, 7, 19, 7, 11, 18, 14, 17, 17, 12, 16, 10, 16, 7, 19, 17, 7, 15, 11, 13, 18, 14, 11, 16, 13, 17, 13, 12, 11, 19, 12, 12, 8, 11, 13, 13, 12, 9, 12, 9, 14, 10, 15, 13, 10, 14, 12, 10, 12, 16, 18, 12, 11, 12, 10, 19, 11, 17, 12, 15, 18, 19, 7, 7, 10, 15, 13, 15, 18, 7, 7, 14, 10, 15, 9, 15, 11, 14, 7, 16, 11, 18, 9, 15, 12, 14, 16, 16 ]

#lengths
l = [ 11, 10, 11, 12, 9, 14, 12, 13, 9, 7, 10, 7, 7, 12, 15, 12, 9, 17, 7, 14, 14, 7, 12, 18, 7, 16, 15, 13, 11, 11, 11, 17, 15, 18, 9, 19, 12, 14, 12, 14, 14, 18, 17, 16, 12, 14, 8, 15, 13, 10, 9, 7, 12, 14, 7, 13, 11, 15, 8, 17, 9, 14, 14, 19, 12, 17, 18, 17, 11, 13, 14, 8, 13, 11, 19, 18, 7, 10, 13, 13, 13, 17, 14, 19, 14, 14, 14, 7, 12, 17, 17, 16, 11, 13, 15, 17, 10, 13, 16, 17]

#number of available (raw) rolls (=known upper bound on the optimum) 
m = 1306


import cuttingstockmodel
cuttingstockmodel.solve(m, L, d, l)


"""
import csflowmodel
csflowmodel.solve(m, L, d, l)
"""


